The Bank Reconciliation Tool object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

company string
bank_account string
bank_statement_from_date string
bank_statement_to_date string
account_opening_balance number
bank_statement_closing_balance number
from_reference_date string
to_reference_date string
filter_by_reference_date boolean

Default: false

account_currency string
The Bank Reconciliation Tool object
{
  "id": "bank-reconciliation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank_statement_from_date": "2024-01-15",
  "bank_statement_to_date": "2024-01-15",
  "account_opening_balance": 0,
  "bank_statement_closing_balance": 0,
  "from_reference_date": "2024-01-15",
  "to_reference_date": "2024-01-15",
  "filter_by_reference_date": false,
  "account_currency": "USD"
}
GET /api/accounts/bank-reconciliation-tool/{id}

Retrieve a bank reconciliation tool

Retrieves the details of an existing bank reconciliation tool. Supply the unique bank reconciliation tool ID that was returned from a previous request.

Path parameters

id string required

The identifier of the bank reconciliation tool to retrieve.

Returns

Returns the bank reconciliation tool object if a valid identifier was provided.

GET /api/accounts/bank-reconciliation-tool/{id}
curl https://api.overplane.dev/api/accounts/bank-reconciliation-tool/bank-reconciliation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "bank-reconciliation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank_statement_from_date": "2024-01-15",
  "bank_statement_to_date": "2024-01-15",
  "account_opening_balance": 0,
  "bank_statement_closing_balance": 0,
  "from_reference_date": "2024-01-15",
  "to_reference_date": "2024-01-15",
  "filter_by_reference_date": false,
  "account_currency": "USD"
}
GET /api/accounts/bank-reconciliation-tool

List all bank reconciliation tools

Returns a list of bank reconciliation tools. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of bank reconciliation tool objects.

GET /api/accounts/bank-reconciliation-tool
curl https://api.overplane.dev/api/accounts/bank-reconciliation-tool \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "bank-reconciliation-tool_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "company": "Example Corp",
      "bank_account": "bank_account_example",
      "bank_statement_from_date": "2024-01-15",
      "bank_statement_to_date": "2024-01-15",
      "account_opening_balance": 0,
      "bank_statement_closing_balance": 0,
      "from_reference_date": "2024-01-15",
      "to_reference_date": "2024-01-15",
      "filter_by_reference_date": false,
      "account_currency": "USD"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/bank-reconciliation-tool

Create a bank reconciliation tool

Creates a new bank reconciliation tool object.

Body parameters

company string
bank_account string
bank_statement_from_date string
bank_statement_to_date string
account_opening_balance number
bank_statement_closing_balance number
from_reference_date string
to_reference_date string
filter_by_reference_date boolean

Default: false

account_currency string

Returns

Returns the newly created bank reconciliation tool object if the call succeeded.

POST /api/accounts/bank-reconciliation-tool
curl https://api.overplane.dev/api/accounts/bank-reconciliation-tool \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "bank-reconciliation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank_statement_from_date": "2024-01-15",
  "bank_statement_to_date": "2024-01-15",
  "account_opening_balance": 0,
  "bank_statement_closing_balance": 0,
  "from_reference_date": "2024-01-15",
  "to_reference_date": "2024-01-15",
  "filter_by_reference_date": false,
  "account_currency": "USD"
}
PATCH /api/accounts/bank-reconciliation-tool/{id}

Update a bank reconciliation tool

Updates the specified bank reconciliation tool by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the bank reconciliation tool to update.

Body parameters

company string
bank_account string
bank_statement_from_date string
bank_statement_to_date string
account_opening_balance number
bank_statement_closing_balance number
from_reference_date string
to_reference_date string
filter_by_reference_date boolean

Default: false

account_currency string

Returns

Returns the updated bank reconciliation tool object.

PATCH /api/accounts/bank-reconciliation-tool/{id}
curl https://api.overplane.dev/api/accounts/bank-reconciliation-tool/bank-reconciliation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"company":"Example Corp","bank_account":"bank_account_example"}'
Response
{
  "id": "bank-reconciliation-tool_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "company": "Example Corp",
  "bank_account": "bank_account_example",
  "bank_statement_from_date": "2024-01-15",
  "bank_statement_to_date": "2024-01-15",
  "account_opening_balance": 0,
  "bank_statement_closing_balance": 0,
  "from_reference_date": "2024-01-15",
  "to_reference_date": "2024-01-15",
  "filter_by_reference_date": false,
  "account_currency": "USD"
}
DELETE /api/accounts/bank-reconciliation-tool/{id}

Delete a bank reconciliation tool

Permanently deletes a bank reconciliation tool. This cannot be undone.

Path parameters

id string required

The identifier of the bank reconciliation tool to delete.

Returns

Returns a confirmation that the bank reconciliation tool has been deleted.

DELETE /api/accounts/bank-reconciliation-tool/{id}
curl https://api.overplane.dev/api/accounts/bank-reconciliation-tool/bank-reconciliation-tool_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "bank-reconciliation-tool_abc123",
  "deleted": true
}